import { V as p, d as B, e as N, r as m, a as P, Z as c, c as R, o as L, w as n, j as t, W as D, l as o, H as j, B as F, i as G, X as V, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as q } from "./BasicForm-dL_oCSPM.js";
import { u as W } from "./useForm-CKmgcynv.js";
import { e as $ } from "./dictionary-BRse4lkf.js";
import { B as z } from "./Table-0PViRYCf.js";
import { _ as M } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { _ as X } from "./TimeLine.vue_vue_type_script_setup_true_lang-D73ZBddp.js";
import { h as E } from "./group-DxznlajQ.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./usePageCache-DluHn7Yy.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./Flex-CTSf12gq.js";
import "./TimelineItem-Bkds7ZW8.js";
let je;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    let i, H, Z, J, a, K;
    ({ t: i } = p());
    H = await $({
        dictCode: "exercise_project_type",
        pageNum: 1,
        pageSize: 999
    });
    Z = [
        {
            label: "Active",
            value: "Active"
        },
        {
            label: "Inactive",
            value: "Inactive"
        }
    ];
    J = [
        {
            field: "exerciseType",
            component: "NSelect",
            label: i("training.manage.formAssignedGroup"),
            componentProps: {
                placeholder: i("training.manage.formAssignedGroupPlaceholder"),
                options: H.list
            }
        },
        {
            field: "status",
            component: "NSelect",
            label: i("training.manage.formStatus"),
            componentProps: {
                placeholder: i("training.manage.formStatusPlaceholder"),
                options: Z
            }
        },
        {
            field: "groupName",
            component: "NInput",
            label: i("training.manage.formName")
        }
    ];
    ({ t: a } = p());
    K = [
        {
            title: a("training.manage.formName"),
            key: "exerciseType",
            width: 140
        },
        {
            title: a("training.manage.formAssignedGroup"),
            key: "exerciseType",
            width: 140
        },
        {
            title: a("training.manage.formTrainer"),
            key: "exerciseType",
            width: 140
        },
        {
            title: a("training.manage.formPeriod"),
            key: "exerciseType",
            width: 140
        },
        {
            title: a("training.manage.formStatus"),
            key: "status",
            width: 140
        }
    ];
    je = B({
        __name: "index",
        setup (O) {
            const u = N(), { t: s } = p(), d = m(0), f = m(), _ = m(), [y, { getFieldsValue: h }] = W({
                gridProps: {
                    cols: 4,
                    xGap: 15
                },
                schemas: J,
                labelWidth: "auto"
            }), x = P({
                width: 120,
                title: s("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (e) {
                    return c(M, {
                        style: "text",
                        actions: [
                            {
                                label: "log",
                                labelShow: !1,
                                icon: c("i", {
                                    class: "iconfont icon-Log"
                                }),
                                onClick: w.bind(null, e)
                            },
                            {
                                label: s("common.optionsEditText"),
                                labelShow: !1,
                                icon: c("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: ()=>{
                                    u.push({
                                        name: "Drill_exerciseProjectManagement_Add_Drill_Project",
                                        query: {
                                            id: e.id,
                                            type: "edit"
                                        }
                                    });
                                }
                            }
                        ]
                    });
                }
            });
            function g() {
                f.value.reload();
            }
            function T(e) {
                g();
            }
            function k(e) {
                g();
            }
            function w(e) {
                d.value = e.id, _.value.openModal();
            }
            function v() {
                u.push({
                    name: "Add_Training_addItems"
                });
            }
            async function C(e, r) {
                return await E({
                    ...e,
                    ...r
                });
            }
            return (e, r)=>{
                const b = D, S = F, I = j, A = V;
                return L(), R(A, null, {
                    default: n(()=>[
                            t(b, {
                                bordered: !1,
                                class: "mb-3 proCard"
                            }, {
                                default: n(()=>[
                                        t(o(q), {
                                            onRegister: o(y),
                                            onSubmit: T,
                                            onReset: k
                                        }, null, 8, [
                                            "onRegister"
                                        ])
                                    ]),
                                _: 1
                            }),
                            t(b, {
                                bordered: !1,
                                class: "proCard"
                            }, {
                                default: n(()=>[
                                        t(o(z), {
                                            columns: o(K),
                                            request: (l)=>C(l, o(h)()),
                                            "row-key": (l)=>l.id,
                                            ref_key: "basicTableRef",
                                            ref: f,
                                            autoScrollX: !0,
                                            "virtual-scroll": "",
                                            actionColumn: o(x)
                                        }, {
                                            tableTitle: n(()=>[
                                                    t(I, null, {
                                                        default: n(()=>[
                                                                t(S, {
                                                                    type: "primary",
                                                                    strong: "",
                                                                    bordered: "",
                                                                    secondary: "",
                                                                    class: "size-7",
                                                                    onClick: v
                                                                }, {
                                                                    icon: n(()=>r[0] || (r[0] = [
                                                                            G("i", {
                                                                                class: "iconfont icon-ADD"
                                                                            }, null, -1)
                                                                        ])),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "columns",
                                            "request",
                                            "row-key",
                                            "actionColumn"
                                        ])
                                    ]),
                                _: 1
                            }),
                            t(X, {
                                ref_key: "timeLineRef",
                                ref: _,
                                title: o(s)("drill.manage.timeLineTitle"),
                                logId: d.value
                            }, null, 8, [
                                "title",
                                "logId"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { je as default, __tla };
